
public abstract class Disk
{
    // Fach, in dem die Disk zu finden ist
    private Fach aufbewahrung;
    
    Disk(Fach dasFach) {
        aufbewahrung = dasFach;
    }
    
    Disk(int reihe, int spalte) {
        // ruft den anderen Konstruktor auf
        this(new Fach(reihe,spalte));
    }
    
    public String toString() {
        // gibt den Klassennamen zusammen mit den Details und dem Fach zurueck
        return getClass().getSimpleName() + " " + getDetails() + " " + aufbewahrung;
    }
    
    // abstrakte Methode, die in Klassen, die von Disk erben, ueberschrieben werden muss
    abstract String getDetails();
}
